Bug 807406 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/<account> at 0x21f9190>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:d4a1ee7f587140c65b38376ed9f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 13:27 EDT by Peter Hjalmarsson
Modified: 2013-02-13 05:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:31:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hjalmarsson 2012-03-27 13:27:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        I suspended my computer
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.0-4.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/<account> at 0x21f9190>
time:           tis 27 mar 2012 18.26.42
uid:            1000
username:       xake

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/xake_40telia_2ecom at 0x21f9190>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/xake_40telia_2ecom at 0x21f9190>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x1e150d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/xake_40telia_2ecom at 0x21f9190>

smolt_data:
:
:
:Allmänt
:=================================
:UUID: 4d143696-c26d-40d1-9378-9b05b300da49
:OS: Fedora release 16 (Verne)
:Standardkörnivå: Unknown
:Språk: sv_SE.utf8
:Plattform: x86_64
:BogoMIPS: 4000.16
:CPU-leverantör: AuthenticAMD
:CPU-modell: AMD Turion(tm) 64 X2 Mobile Technology TL-60
:CPU-stegning: 2
:CPU-familj: 15
:CPU-modellnummer: 72
:Antal CPU:er: 2
:CPU-hastighet: 2000
:Systemminne: 3954
:Systemväxlingsutrymme: 4029
:Leverantör: Acer, inc.
:System: Ferrari 5000 Not Applicable
:Fomfaktor: Other
:Kärna: 3.3.0-4.fc16.x86_64
:SELinux aktiverat: 1
:SELinux-policy: targeted
:SELinux upprätthålls: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Enheter
:=================================
:(4098:23096:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:23097:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:22864:4133:266) pci, None, HOST/PCI, RS480 Host Bridge
:(4098:17270:4133:266) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(5772:28:5224:1058) pci, ath5k, ETHERNET, AR242x / AR542x Wireless Network Adapter (PCI-Express)
:(4098:23092:4133:266) pci, pcieport, PCI/PCI, RS480 PCI-X Root Port
:(4098:17266:4133:266) pci, piix4_smbus, SERIAL, IXP SB400 SMBus Controller
:(4098:17271:4133:266) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:17275:4133:266) pci, snd_hda_intel, MULTIMEDIA, IXP SB4x0 High Definition Audio Controller
:(4172:32828:4133:266) pci, sdhci-pci, BASE, PCIxx12 SDA Standard Compliant SD Host Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(5348:5788:4133:266) pci, tg3, ETHERNET, NetXtreme BCM5788 Gigabit Ethernet
:(4172:32825:4133:266) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:(4172:32826:4133:266) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller
:(4098:17267:4133:266) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4098:29125:4133:266) pci, radeon, VIDEO, M56P [Radeon Mobility X1600]
:(4098:17268:4133:266) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17269:4133:266) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:4133:266) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:(4172:32827:4133:266) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(4098:23094:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:23095:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:
:
:Filsystemsinformation
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-1f00c837-70a5-4d03-955d-55da4c4f416c / ext4 4096 4096 13081307 9495142 8839808 3276800 2991807 2991807
:/dev/sda3 /boot ext4 1024 1024 508745 411921 386321 128016 127788 127788
:/dev/mapper/luks-d44343f9-7d10-4e72-8d02-d44045851cee /home ext4 4096 4096 46704312 40928833 38590683 11698176 11686283 11686283
:
Comment 1 Fedora End Of Life 2013-01-16 06:19:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:31:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.